OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.SUN.GlobalAlpha

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetSUNGlobalAlpha :: MonadIO m => m Bool
- gl_SUN_global_alpha :: Bool
- gl_GLOBAL_ALPHA_FACTOR_SUN :: GLenum
- gl_GLOBAL_ALPHA_SUN :: GLenum
- glGlobalAlphaFactorbSUN :: MonadIO m => GLbyte -> m ()
- glGlobalAlphaFactordSUN :: MonadIO m => GLdouble -> m ()
- glGlobalAlphaFactorfSUN :: MonadIO m => GLfloat -> m ()
- glGlobalAlphaFactoriSUN :: MonadIO m => GLint -> m ()
- glGlobalAlphaFactorsSUN :: MonadIO m => GLshort -> m ()
- glGlobalAlphaFactorubSUN :: MonadIO m => GLubyte -> m ()
- glGlobalAlphaFactoruiSUN :: MonadIO m => GLuint -> m ()
- glGlobalAlphaFactorusSUN :: MonadIO m => GLushort -> m ()

# Extension Support

glGetSUNGlobalAlpha :: MonadIO m => m Bool

Is the SUN_global_alpha extension supported?

gl_SUN_global_alpha :: Bool

Is the SUN_global_alpha extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetSUNGlobalAlpha` in those cases instead.

# Enums

gl_GLOBAL_ALPHA_FACTOR_SUN :: GLenum

gl_GLOBAL_ALPHA_SUN :: GLenum

# Functions

glGlobalAlphaFactorbSUN

Arguments

:: MonadIO m |
=> GLbyte | `factor`.
-> m () |

glGlobalAlphaFactordSUN

Arguments

:: MonadIO m |
=> GLdouble | `factor`.
-> m () |

glGlobalAlphaFactorfSUN

Arguments

:: MonadIO m |
=> GLfloat | `factor`.
-> m () |

glGlobalAlphaFactoriSUN

Arguments

:: MonadIO m |
=> GLint | `factor`.
-> m () |

glGlobalAlphaFactorsSUN

Arguments

:: MonadIO m |
=> GLshort | `factor`.
-> m () |

glGlobalAlphaFactorubSUN

Arguments

:: MonadIO m |
=> GLubyte | `factor`.
-> m () |

glGlobalAlphaFactoruiSUN

Arguments

:: MonadIO m |
=> GLuint | `factor`.
-> m () |

glGlobalAlphaFactorusSUN

Arguments

:: MonadIO m |
=> GLushort | `factor`.
-> m () |